{ config, pkgs, ... }:

{
  networking.defaultGateway = {
    address = "192.168.1.254";
    interface = "eno1";
  };

  services.consul.extraConfig.datacenter = "neptune";
  services.nomad.settings.datacenter = "neptune";
  services.consul.extraConfig.bootstrap_expect = 3;
  services.nomad.settings.server.bootstrap_expect = 3;

  # ----

  nix = {
    binaryCaches = [
      "http://binarycache.home.adnab.me"
    ];
    binaryCachePublicKeys = [
      "binarycache.home.adnab.me:ErR6pMnewf9oVyZJd5uC2nI4EZF49c7Mh86eDZWYZaw="
    ];
  };
}
